<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
String redirect = ParamUtil.getString(request, "redirect");

long groupId = ParamUtil.getLong(request, "groupId");
String articleId = ParamUtil.getString(request, "articleId");

JournalArticle article = JournalArticleLocalServiceUtil.fetchArticle(groupId, articleId);

portletDisplay.setShowBackIcon(true);
portletDisplay.setURLBack(redirect);

renderResponse.setTitle(article.getTitle(themeDisplay.getLocale()));
%>

<liferay-layout:layout-classed-model-usages-admin
	className="<%= JournalArticle.class.getName() %>"
	classPK="<%= JournalArticleAssetRenderer.getClassPK(article) %>"
/>